Subject: Re: [PATCH v2 0/6] Updates for the atmel PWM driver

From: Thierry Reding <[email-masked]>
Date: Wed, 8 Jan 2020 14:00:26 +0100

On Sat, Aug 24, 2019 at 02:10:35AM +0200, Uwe Kleine-König wrote:
> Hello,
> 
> this is v2 of my series to update the atmel PWM driver. (Implicit) v1
> was sent on Aug 15, starting with Message-Id:
> [email-masked].
> 
> I updated the patches from the feedback I got in v1, see the individual
> patches for the details.
> 
> Best regards
> Uwe
> 
> Uwe Kleine-König (6):
>   pwm: atmel: Add a hint where to find hardware documentation
>   pwm: atmel: use a constant for maximum prescale value
>   pwm: atmel: replace loop in prescale calculation by ad-hoc calculation
>   pwm: atmel: document known weaknesses of both hardware and software
>   pwm: atmel: use atmel_pwm_writel in atmel_pwm_ch_writel; ditto for
>     readl
>   pwm: atmel: implement .get_state()
> 
>  drivers/pwm/pwm-atmel.c | 86 ++++++++++++++++++++++++++++++++++-------
>  1 file changed, 73 insertions(+), 13 deletions(-)

There were two patches in this that were not reviewed or acked, but they
seem trivial enough, so I've just applied the whole series.

Thanks,
Thierry
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel